rotate_sprite(3)

NAME
rotate_sprite

SYNOPSIS
#include <allegro.h>

void rotate_sprite(BITMAP *bmp, BITMAP *sprite, int x, int y, fixed angle);

DESCRIPTION
Draws the sprite image onto the bitmap. It is placed with its top left corner at the specified position, then rotated by the specified angle around its centre. The angle is a fixed point 16.16 number in the same format used by the fixed point trig routines, with 256 equal to a full circle, 64 a right angle, etc. All rotation functions can draw between any two bitmaps, even screen bitmaps or bitmaps of different color depth.

SEE ALSO
draw_sprite(3), rotate_scaled_sprite(3), rotate_sprite_v_flip(3), rotate_scaled_sprite_v_flip(3), pivot_sprite(3), pivot_sprite_v_flip(3), pivot_scaled_sprite(3), pivot_scaled_sprite_v_flip(3), itofix(3)